<template>
  <div class="goodsOnline pagePadding">
    <ex-table
      v-loading="loading"
      v-if=" powers.some((i) => i == '001')"
      :table="table"
      :data="tableData"
      :columns="columns"
      :page="pageInfo"
      :size="size"
      @page-curr-change="handlePageChange"
      @page-size-change="handleSizeChange"
      @screen-reset="
        pageInfo.curr = 1;
        parmValue.page = 1;
        searchList();
      "
      @screen-submit="
        pageInfo.curr = 1;
        parmValue.page = 1;
        searchList();
      "
    >
      <template #table-header="{}">
        <div style="width: 100%">
          <el-row style="padding: 0 0 10px 80px">
            <el-col :span="4" style="width: 150px">
              <el-select
                v-model="parmValue.exam_status"
                filterable
                clearable
                :size="searchSize"
                placeholder="状态"
                style="width: 100%"
                @change="
                  pageInfo.curr = 1;
                  parmValue.page = 1;
                  searchList();
                "
              >
                <el-option
                  v-for="item in options8"
                  :key="'status' + item.id"
                  :label="item.name"
                  :value="item.id"
                />
              </el-select>
            </el-col>
            <el-col :span="4" style="width: 130px; padding: 0 0 0 10px">
              <el-select
                v-model="parmValue.good_type"
                filterable
                clearable
                :size="searchSize"
                placeholder="是否定制"
                style="width: 100%"
                @change="
                  pageInfo.curr = 1;
                  parmValue.page = 1;
                  searchList();
                "
              >
                <el-option
                  v-for="item in options1"
                  :key="'good_type' + item.id"
                  :label="item.name"
                  :value="item.id"
                />
              </el-select>
            </el-col>
            <el-col :span="6" style="width: 303px; padding: 0 0 0 10px">
              <period-date-picker
                :type="1"
                :width="'135px'"
                :size="searchSize"
                :start="parmValue.start"
                :end="parmValue.end"
                @timeReturned="handleTime"
              />
            </el-col>

            <el-col :span="3" class="fr" style="width: 66px; padding: 0 0 0 10px">
              <el-button type="warning" :size="searchSize" @click="restSearch">
                重置
              </el-button>
            </el-col>
          </el-row>

          <el-row>
            <el-col :span="6" style="width: 310px">
              <good-class
                :value="parmValue.cat_id"
                @handleChange="goods_class_change"
                :disabled="false"
                :size="searchSize"
                :isDetail="false"
                :placeholder="'分类'"
              />
            </el-col>

            <el-col :span="6" style="width: 240px; padding: 0 0 0 10px">
              <search-terrace
                :value="parmValue.platform_code"
                :disabled="false"
                :size="'mini'"
                :isDetail="false"
                :is_show="'0'"
                :placeholder="'所属平台'"
                @searchChange="platform_codeChange"
            /></el-col>
            <el-col :span="4" style="width: 210px; padding: 0 0 0 10px">
              <search-brand
                :value="brandid"
                :disabled="false"
                :size="'mini'"
                :isDetail="true"
                :names="parmValue.supplierName"
                :placeholder="'商品品牌'"
                @searchChange="brandidsearchChange"
              />
            </el-col>
            <el-col :span="3" class="fr" style="width: 66px; padding: 0 0 0 10px">
              <el-button type="primary" :size="searchSize" @click="searchList">
                刷新
              </el-button>
            </el-col>
          </el-row>
          <el-row style="padding: 10px 0 0 0">
            <el-col :span="4" style="width: 450px">
              <el-input
                :size="searchSize"
                v-model="sinput"
                :maxlength="40"
                @blur="
                  pageInfo.curr = 1;
                  parmValue.page = 1;
                  searchList();
                "
                placeholder="关键字"
                ><el-select
                  v-model="select"
                  slot="prepend"
                  :size="searchSize"
                  style="width: 140px"
                  @change="
                    pageInfo.curr = 1;
                    parmValue.page = 1;
                    searchList();
                  "
                  placeholder="关键字类型"
                >
                  <el-option label="商品名称" value="1" />
                  <el-option label="供应商名称" value="3" />
                  <el-option label="成本商品编号" value="2" />
                  <el-option label="上线商品编号" value="8" />
                  <!-- <el-option label="平台编号" value="3" /> -->
                  <el-option label="业务企业编号" value="5" />
                  <el-option label="平台商品编号" value="6" />
                  <el-option label="成本创建人" value="7" />
                  <el-option label="上线创建人" value="10" />
                  <el-option label="上线创建人部门" value="9" />
                  
                  </el-select
              ></el-input>
            </el-col>
            <el-col
              :span="3"
              class="fr"
              style="width: 66px; padding: 0 0 0 10px"
              v-if="powers.some((i) => i == '003')"
            >
              <el-button
                :size="searchSize"
                type="success"
                style="float: right"
                @click="routeGoto('goodsOnlineAdd', {})"
              >
                添加
              </el-button>
            </el-col>

            <el-col
              :span="3"
              class="fr"
              style="width: 66px; padding: 0 0 0 10px"
              v-if="powers.some((i) => i == '087')"
            >
              <el-button
                :size="searchSize"
                type="primary"
                style="float: right"
                @click="centerDialogVisible = true"
              >
                导出上线商品
              </el-button>
            </el-col>
          </el-row>
        </div></template
      >
      <template #good_thumb_img="{ scope }">
        <div
          v-if="scope.row.good_thumb_img"
          style="width: 20px; height: 20px"
          class="hover"
          v-viewer
        >
          <img
            :src="scope.row.good_thumb_img"
            style="display: inline-block; width: 100%; height: 100%"
            alt=""
          />
        </div>
      </template>
      <template #status="{ scope }">
        <el-tag
          :size="tablebtnSize"
          :type="
            scope.row.status == '6' ? '' : scope.row.status == '7' ? 'danger' : 'warning'
          "
          v-text="
            (options8.find((item) => item.id == scope.row.status) || {}).name || '--'
          "
        ></el-tag>
      </template>
      <template #good_type="{ scope }">
        <el-tag
          :size="tablebtnSize"
          :type="scope.row.good_type == '0' ? 'warning' : ''"
          v-text="
            (options1.find((item) => item.id == scope.row.good_type) || {}).name || '--'
          "
        ></el-tag>
      </template>

      <template #operation="{ scope }">
        <el-tooltip
          v-if="powers.some((i) => i == '007')"
          effect="dark"
          content="详情"
          placement="top"
        >
          <i
            class="el-icon-view tb-icon"
            @click="getRouter('goodsOnlineDetail', scope.row.skuCode)"
          ></i>
        </el-tooltip>
        <el-tooltip
          v-if="
            powers.some((i) => i == '078') &&
            (scope.row.status === '7' || scope.row.status === '8')
          "
          effect="dark"
          content="重新发起上线流程"
          placement="top"
        >
          <i
            class="el-icon-upload tb-icon"
            @click="get_againonline(scope.row.skuCode)"
          ></i>
        </el-tooltip>
        <el-tooltip
          v-if="powers.some((i) => i == '079') && scope.row.status !== '8'"
          effect="dark"
          content="下线商品"
          placement="top"
        >
          <i
            class="el-icon-download tb-icon"
            @click="showDonlineDlg(scope.row.skuCode)"
          ></i>
        </el-tooltip>
      </template>
    </ex-table>
    <no-auth v-else></no-auth>
    <el-dialog title="下线原因" :visible.sync="dialogFormVisible" width="500px">
      <el-form
        :model="donline_form"
        :rules="donline_rules"
        ref="donline_Form"
        class="demo-ruleForm"
        label-width="80px"
      >
        <el-form-item label="下线原因" prop="offline_reason">
          <el-select
            style="width: 100%"
            v-model="donline_form.offline_reason"
            placeholder="请选择下线原因"
          >
            <el-option
              :label="item.result"
              :value="item.result_code"
              v-for="item in donline_formStOps"
              :key="item.result_code"
            ></el-option>
          </el-select>
        </el-form-item>
        <el-form-item label="下线备注" prop="offline_remark">
          <el-input
            v-model="donline_form.offline_remark"
            type="textarea"
            placeholder="请输入下线备注"
            autocomplete="off"
          ></el-input>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="dialogFormVisible = false">取 消</el-button>
        <el-button type="primary" @click="donlineDlg">确 定</el-button>
      </div>
    </el-dialog>
    <el-dialog
      title="上线商品导出"
      :visible.sync="centerDialogVisible"
      width="500px"
      center
    >
      <el-form
        :model="ruleForm"
        :rules="rules"
        ref="ruleForm"
        class="demo-ruleForm"
        label-width="80px"
      >
        <el-form-item prop="start_date" label="日期: ">
          <!-- <el-date-picker
            value-format="yyyy-MM-dd"
            v-model="ruleForm.date"
            type="date"
            placeholder="请选择"
          >
          </el-date-picker> -->

          <periodDatePicker
            :start="ruleForm.start_date"
            :end="ruleForm.end_date"
            :width="'165px'"
            @timeReturned="time"
          />
        </el-form-item>
        <el-form-item label="状态: " prop="status">
          <el-select v-model="ruleForm.status" placeholder="请选择">
            <el-option label="待上线" value="5"></el-option>
            <el-option label="上线成功" value="6"></el-option>
            <el-option label="已下线" value="8"></el-option>
          </el-select>
        </el-form-item>

        <el-form-item label="平台id: " prop="platform_id">
          <!-- <el-input
            v-model="ruleForm.platform_id"
            style="width: 300px"
            placeholder="请输入"
          ></el-input> -->
          <search-terrace
            :value="ruleForm.platform_id"
            :disabled="false"
            :isDetail="false"
            :is_show="'0'"
            :placeholder="'所属平台'"
            @searchChange="platform_codesearchChange"
          />
        </el-form-item>
      </el-form>
      <span slot="footer" class="dialog-footer">
        <el-button @click="centerDialogVisible = false">取 消</el-button>
        <el-button type="primary" @click="goodsExport">导 出</el-button>
      </span>
    </el-dialog>
    <!-- 弹窗 新增/修改 -->
    <add-edit
      :id="modelId"
      :show-model="showModel"
      :sitem="sitem"
      @refresh="searchList"
      @cancel="showModel = false"
    />
  </div>
</template>
<script>
import asyncRequest from "@/apis/service/goodStore/goodsOnline";
import mixinPage from "@/mixins/elPaginationHandle";
import { mapGetters } from "vuex";
import urlConfig from "@/apis/url-config";
import resToken from "@/mixins/resToken";
import { listCol, options1, options8 } from "./columns";
export default {
  name: "goodsOnline",
  mixins: [mixinPage, resToken],
  computed: {
    //组件SIZE设置
    ...mapGetters(["tablebtnSize", "searchSize", "size"]),
    powers() {
      const tran =
        this.$store.getters.btnList.find((i) => i.menu_route == "goodsOnline") ||
        {};
      const { action } = tran ?? {};
      return action ?? [];
    },
  },
  data() {
    var validate = (rule, value, callback) => {
      if (value == "") {
        return callback(new Error("必填项不能为空"));
      } else {
        callback();
      }
    };
    return {
      dialogFormVisible: false,
      donline_formStOps: [],
      donline_form: {
        offline_reason: "",
        offline_remark: "",
        skuCode: "",
      },
      donline_rules: {
        offline_reason: [{ validator: validate, required: true, trigger: "blur" }],
        offline_remark: [{ validator: validate, required: true, trigger: "blur" }],
      },
      fileUrl: urlConfig.baseURL,
      ruleForm: {
        // date: "",
        platform_id: "",
        status: "",
        start_date: "",
        end_date: "",
      },
      rules: {
        start_date: [
          {
            validator: validate,
            type: "date",
            required: true,
            trigger: "change",
          },
        ],
        status: [{ validator: validate, required: true, trigger: "change" }],
        platform_id: [{ validator: validate, required: true, trigger: "change" }],
      },
      centerDialogVisible: false,
      options1: options1,
      options8: options8,
      loading: false,
      parmValue: {
        good_name: "", //商品名称
        spucode: "", //商品编号
        skucode: "", //商品编号
        cat_id: "", //商品分类
        start: "", //开始日期
        end: "", //结束日期
        platform_code: "", //平台编码
        is_stock: "", //是否库存品
        page: 1, // 页码
        size: 15, // 每页显示条数
        supplierNo: "", //供应商编号
        good_type: "", //是否定制
        brand_id: "", //品牌
        companyNo: "", //业务企业编号
        exam_status: "", //审核状态
        plat_code: "", //平台商品编号
        creater: "", //
        company_name: "", //创建人部门
      },

      // 表格 - 数据
      tableData: [],
      // 表格 - 参数
      table: {
        stripe: true,
        border: true,
        _defaultHeader_: ["setcol"],
      },
      // 表格 - 分页
      pageInfo: {
        size: 15,
        curr: 1,
        total: 0,
      },
      // 表格 - 列参数
      columns: listCol,
      cat_id: [],
      brandid: [],
      select: "1",
      sinput: "",
    };
  },
  mounted() {
    const { back } = this.$route.query;
    if (back) {
      this.parmValue = JSON.parse(back);
      console.log(this.parmValue);
      const { page, size } = this.parmValue;
      // this.parmValue.start = start || last_start;
      // this.parmValue.end = end || last_end;
      if (this.parmValue.brand_id.length > 0) {
        this.brandid = [this.parmValue.brand_id];
      }

      this.pageInfo = {
        size: size,
        curr: page,
        total: 0,
      };
      //多选条件
      this.select = this.parmValue.select;
      // this.sselect = this.parmValue.sselect;
      this.sinput = this.parmValue.sinput;
    } else {
      this.select = "1";
      //  this.sselect = "创建时间"
    }
    this.cat_id = [];
    // this.brandid = [];
    this.searchList();
  },
  methods: {
    // 获取异常原因下拉列表
    async getresultlist() {
      const res = await asyncRequest.resultlist({
        page: 1,
        size: 100,
        type: "8",
        status: "3",
      });
      if (res && res.code === 0 && res.data) {
        const { list } = res.data;
        this.donline_formStOps = list;
      } else if (res && res.code >= 100 && res.code <= 104) {
        await this.logout();
      } else {
        this.$message.warning(res.message);
      }
    },
    // 时间函数
    async time(e) {
      this.ruleForm.start_date = e.startTime || "";
      this.ruleForm.end_date = e.endTime || "";
    },
    platform_codesearchChange(e) {
      const { id } = e;
      this.ruleForm.platform_id = id || "";
      this.$refs.ruleForm.validateField("platform_id");
    },
    async platform_codeChange(e) {
      const { id } = e;
      this.parmValue.platform_code = id || "";
      this.pageInfo.curr = 1;
      this.parmValue.page = 1;
      await this.searchList();
    },
    //导出
    async goodsExport() {
      if (
        (this.ruleForm.start_date !== "" && this.ruleForm.end_date === "") ||
        (this.ruleForm.start_date === "" && this.ruleForm.end_date !== "")
      ) {
        this.$message.warning("时间区间不完整！");
        return;
      }
      // console.log(this.$refs.ruleForm)
      // return;
      await this.$refs.ruleForm.validate(async (valid) => {
        if (valid) {
          if (!this.loading) {
            this.loading = true;
            let httpType = `aplication/zip`;
            axios({
              method: "post",
              url: this.fileUrl + "admin/exportgood",
              responseType: "blob",
              data: this.ruleForm,
              headers: {
                Accept: httpType,
              },
            })
              .then((res) => {
                if (res && res.status == 200 && res.data) {
                  let url = window.URL.createObjectURL(
                    new Blob([res.data], {
                      type: httpType,
                    })
                  );
                  let link = document.createElement("a");
                  link.style.display = "none";
                  link.href = url;
                  let excelName = "商品.zip";
                  link.setAttribute("download", excelName);
                  document.body.appendChild(link);
                  link.click();
                  link.remove();
                  window.URL.revokeObjectURL(url); //释放掉blob对象
                  this.$message.success(`导出成功！`);
                  setTimeout(() => {
                    this.loading = false;
                  }, 500);
                } else {
                  this.$message.error(res.data.message);
                  setTimeout(() => {
                    this.loading = false;
                  }, 500);
                }
              })
              .catch((error) => {
                console.log(error);
                this.loading = false;
              });
          }
          // this.loading = true;

          // const res = await asyncRequest.exportgood(this.ruleForm);
          // if (res && res.code === 0) {
          //   this.$message.warning(res.message);
          //   console.log(res);
          //   this.loading = false;
          // } else if (res && res.code >= 100 && res.code <= 104) {
          //   await this.logout();
          // } else {
          //   this.loading = false;
          //   this.$message.warning(res.message);
          // }
        } else {
          console.log("error submit!!");
          return false;
        }
      });
    },
    //点击详情
    getRouter(toRouter, queryId) {
      if (toRouter && queryId) {
        let model = {
          id: queryId,
          type: "view",
        };

        //有多选框的条件
        this.parmValue.select = this.select;
        // this.parmValue.sselect = this.sselect ;
        this.parmValue.sinput = this.sinput;
        //
        console.log(this.parmValue);
        let routerModel = {
          options: JSON.parse(JSON.stringify(this.parmValue)),
          router: this.$route.path,
        };
        model.preModel = JSON.stringify(routerModel);

        this.routeGoto(toRouter, model);
      } else {
        this.$message.warning("暂未找到相关流程！");
      }
    },
    restSearch() {
      this.select = "1";
      this.sinput = "";
      this.cat_id = [];
      this.brandid = [];
      // 表格 - 分页
      this.pageInfo = {
        size: 15,
        curr: 1,
        total: 0,
      };
      this.parmValue = {
        good_name: "", //商品名称
        spucode: "", //商品编号
        skucode: "", //商品编号
        cat_id: "", //商品分类
        start: "", //开始日期
        end: "", //结束日期
        platform_code: "", //平台编码
        is_stock: "", //是否库存品
        page: 1, // 页码
        size: 15, // 每页显示条数
        supplierNo: "", //供应商编号
        good_type: "", //是否定制
        brand_id: "", //品牌
        companyNo: "", //业务企业编号
        exam_status: "", //审核状态
        plat_code: "", //平台商品编号
        creater: "", //
        company_name: "", //创建人部门
      };
      this.searchList();
    },
    //商品品牌选择
    async brandidsearchChange(e) {
      const { id, code, label } = e;
      if (id) {
        this.brandid = [id];
        this.parmValue.brand_id = id;
        this.parmValue.supplierName = label;
      } else {
        this.brandid = [];
        this.parmValue.brand_id = "";
        this.parmValue.supplierName = "";
      }
      this.parmValue.brand_id = this.brandid.toString();
      this.pageInfo.curr = 1;
      this.parmValue.page = 1;
      await this.searchList();
    },
    // 时间
    async handleTime(e) {
      this.parmValue.start = e.startTime || "";
      this.parmValue.end = e.endTime || "";
      if (
        (this.parmValue.start !== "" && this.parmValue.end !== "") ||
        (this.parmValue.start === "" && this.parmValue.end === "")
      ) {
        this.pageInfo.curr = 1;
        this.parmValue.page = 1;
        await this.searchList();
      }
    },
    /**
     * 商品重新上线
     * @param {String} id id
     * @param {String} status 0-禁用 1-启用
     */
    async get_againonline(skuCode) {
      await this.$confirm(`确定要重新发起上线流程？`, {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(async () => {
          this.loading = true;
          const model = {
            skuCode: skuCode,
          };
          const res = await asyncRequest.againonline(model);
          if (res && res.code === 0) {
            this.loading = false;
            this.$notify.success({
              title: "重新发起上线流程成功！",
              message: "",
            });
            await this.searchList();
          } else if (res && res.code >= 100 && res.code <= 104) {
            await this.logout();
          } else {
            this.loading = false;
            this.$message.warning(res.message);
          }
        })
        .catch(() => {
          console.log("取消");
        });
    },
    //点击下线
    async showDonlineDlg(skuCode) {
      this.dialogFormVisible = true;
      this.donline_form = {
        offline_reason: "",
        offline_remark: "",
        skuCode: "",
      };
      this.donline_form.skuCode = skuCode;
      // this.donlineDlg(skuCode)
    },
    //商品下线原因 确定
    async donlineDlg() {
      await this.$refs.donline_Form.validate(async (valid) => {
        if (valid) {
          this.dialogFormVisible = false;
          this.get_donline(this.donline_form.skuCode);
        } else {
          console.log("error submit!!");
          return false;
        }
      });
    },
    /**
     * 商品下线
     * @param {String} id id
     * @param {String} status 0-禁用 1-启用
     */
    async get_donline(skuCode) {
      await this.$confirm(`确定要下线商品？`, {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(async () => {
          this.loading = true;
          let obj = {
            skuCode: skuCode,
            exam_status: "8",
          };
          let model = { ...this.donline_form, ...obj };
          // console.log("aaaaa", model);

          const res = await asyncRequest.status(model);
          if (res && res.code === 0) {
            this.loading = false;
            this.$notify.success({
              title: res.message,
              message: "",
            });
            await this.searchList();
          } else if (res && res.code >= 100 && res.code <= 104) {
            await this.logout();
          } else {
            this.loading = false;
            this.$message.warning(res.message);
          }
        })
        .catch(() => {
          console.log("取消");
        });
    },
    /**
     * 启用/禁用
     * @param {String} id id
     * @param {String} status 0-禁用 1-启用
     */
    async changeStatus(id, status) {
      await this.$confirm(`确定要改为${status === "1" ? "禁用" : "启用"}？`, {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(async () => {
          this.loading = true;
          const model = {
            id: id,
            status: status === "1" ? "0" : "1",
          };
          const res = await asyncRequest.status(model);
          if (res && res.code === 0) {
            this.loading = false;
            this.$notify.success({
              title: "状态修改成功！",
              message: "",
            });
            await this.searchList();
          } else if (res && res.code >= 100 && res.code <= 104) {
            await this.logout();
          } else {
            this.loading = false;
            this.$message.warning(res.message);
          }
        })
        .catch(() => {
          console.log("取消");
        });
    },
    async deleteItem(code) {
      await this.$confirm("确定要删除？", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
      })
        .then(async () => {
          const model = {
            codes: [code],
          };
          const res = await asyncRequest.delete(model);
          if (res && res.code === 0) {
            this.$notify.success({
              title: "删除成功",
              message: "",
            });
            this.searchList();
          } else if (res && res.code >= 100 && res.code <= 104) {
            await this.logout();
          } else {
            this.$message.warning(res.message);
          }
        })
        .catch(() => {
          console.log("取消");
        });
    },
    // 刷新表格
    async searchList() {
      if (
        (this.parmValue.start !== "" && this.parmValue.end === "") ||
        (this.parmValue.start === "" && this.parmValue.end !== "")
      ) {
        this.$message.warning("时间区间不完整！");
        return;
      }
      this.loading = true;
      let model = JSON.parse(JSON.stringify(this.parmValue));
      model.good_name = this.select === "1" ? this.sinput : ""; //商品名称

      model.supplier_name = this.select === "3" ? this.sinput : "";

      model.spucode = this.select === "2" ? this.sinput : ""; //商品编号
      model.skucode = this.select === "8" ? this.sinput : ""; //商品编号
      // model.platform_code = this.select === "1" ? this.sinput : ""; //平台编码
      // model.supplierNo = this.select === "1" ? this.sinput : ""; //供应商编号
      model.companyNo = this.select === "5" ? this.sinput : ""; //业务企业编号
      // model.exam_status = this.select === "1" ? this.sinput : ""; //审核状态
      model.plat_code = this.select === "6" ? this.sinput : ""; //平台商品编号
      model.creater = this.select === "7" ? this.sinput : ""; //
      model.company_name = this.select === "9" ? this.sinput : ""; // 部门
      model.online_creater = this.select === "10" ? this.sinput : ""; // 上线创建人
      const res = await asyncRequest.list(model);
      if (res && res.code === 0 && res.data) {
        this.tableData = res.data.list;
        this.tableData.forEach((a) => {
          a.cat_name = "";
          let list = a.cat_info || [];
          list.forEach((b, i) => {
            a.cat_name += i == 0 ? b.name : "/" + b.name;
          });
        });
        this.pageInfo.total = Number(res.data.count);
      } else if (res && res.code >= 100 && res.code <= 104) {
        await this.logout();
      } else {
        this.tableData = [];
        this.pageInfo.total = 0;
      }
      this.getresultlist();
      this.loading = false;
    },
    //商品分类选择
    async goods_class_change(e) {
      this.cat_id = e;
      this.parmValue.cat_id =
        this.cat_id.length === 0 ? "" : this.cat_id[this.cat_id.length - 1];
      this.pageInfo.curr = 1;
      this.parmValue.page = 1;
      await this.searchList();
    },
  },
};
</script>

<style lang="scss" scoped></style>
